#include <bits/stdc++.h>

using namespace std;

long long n,a[100009],res,last1,last2,h,k;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    cin>>n;
    for(int i=1;i<=n;i++) cin>>a[i];
    sort(a+1,a+1+n);
    last1=0;
    last2=0;
    k=0;
    h=9999999999999999;
    for(int i=n;i>=1;i--){
        if(a[i]<h) {
            res+=max(k,a[i]-last1);
            last2=last1;
        }
        if(a[i]==h) res+=max(k,a[i]-last2);
        h=a[i];
        last1++;
    }
    cout<<res;
    return 0;
}

